<?php

use EuKit\Base\Parts\Concept;
use Infomaker\Everyware\Base\OpenContent\OpenContentProvider;

/* Get Staff data */

function returnStaffLists($query, $count, $start)
{
    $staffersData = OpenContentProvider::setup([
        'q'                      => $query,
        'contenttypes'           => ['Concept'],
        'sort.indexfield'        => 'Pubdate',
        'sort.Pubdate.ascending' => true,
        'limit'                  => $count,
        'start'                  => $start,
        'Status'                 => 'usable',
        'properties'                 => [
            'ConceptAvatarUuid',
            'uuid',
            'Name',
            'DescriptionShort',
            'Description',
            'ConceptAuthorEmail',
            'ConceptAuthorTwitter',
            'ConceptAuthorInstagram',
            'ConceptAuthorFirstname',
            'ConceptAuthorLastname',
            'ConceptAuthorPhone',
            'ConceptSeeAlso',
            'ConceptSeeAlsoType',
            'ConceptMetaData'
        ]
    ]);

    $staffers = $staffersData->queryWithRequirements();

    return [
        'staffers' => $staffers,
        'hits' => $staffersData->hits()
    ];
}
